require "carrierwave/mongoid/file/seek/version"

module Carrierwave
  module Mongoid
    module File
      module Seek
        def self.content_as_string(file, offset, io_seek)
          tempfile = Tempfile.new file.hash.to_s
          tempfile.binmode
          tempfile.write file.read
          tempfile.seek(offset, io_seek)
          content = tempfile.read
          tempfile.close
          tempfile.unlink
          content
        end
      end
    end
  end
end
